Firefox dice adiós a los plugins antiguos de Java






Hace ya varios años, Mozilla implementó un mecanismo para bloquear los plugins de Firefox que puedan considerarse inseguros, en base a los parches que publican periódicamente sus desarrolladores, obligándonos a instalar las actualizaciones correspondientes para continuar utilizándolos. Esta semana, Java volvió a sumarse a la lista, ya que fueron bloqueadas las versiones anteriores a las lanzadas durante febrero de este año.

Esto es debido a que los parches críticos correspondientes al Java Development Kit y Java Runtime Environment, publicados en dicha ocasión, corrigen vulnerabilidades que pueden permitir la ejecución de código arbitrario en el ordenador del usuario. Como ya ocurrieron ataques que sacan provecho de esos fallos, el fabricante del navegador decidió tomar esta medida para mitigar las consecuencias de no actualizarse.

Es por ello, que tanto la versión 6 Update 30 y anteriores como la versión 7 Update 2 y sus antecesoras, ingresaron a la lista negra de Mozilla. Esto es algo que pueden comprobar desde el Administrador de Complementos o a través del servicio Plugin Check, que se encarga de verificar la totalidad de los complementos instalados. Cabe destacar que hoy el bloqueo es sólo para Windows, pero se hará lo mismo con Mac OSX cuando Apple se ponga al corriente.

Aparte de obtener el último paquete de Java desde su web oficial, también es una buena oportunidad para desinstalar las versiones anteriores, que generalmente se guardaban en directorios independientes, hasta que Oracle decidió cambiar dicho comportamiento. Una forma muy sencilla de hacerlo es recurrir a JavaRa, una pequeña aplicación que efectúa la limpieza de manera automática y permite hacer las descargas desde el propio programa.



Fuente: Bitelia